Bug 823662 - [abrt] bpython-0.10.1-2.fc16: importcompletion.py:133:find_modules:IOError: [Errno 21] Is a directory: './rain.py'
[abrt] bpython-0.10.1-2.fc16: importcompletion.py:133:find_modules:IOError: [...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bpython (Show other bugs)
rawhide
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Terje Røsten
Fedora Extras Quality Assurance
abrt_hash:51ca3dbfd5f3358fbcd2e15f3a9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-21 15:51 EDT by Josh Chia
Modified: 2013-03-15 21:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-15 21:24:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Chia 2012-05-21 15:51:57 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/bin/bpython
comment:        I ran bpython in a directory that had a directory that has a name ending with '.py'. I suspect bpython didn't make sure that it's a file before trying to open it.
executable:     /usr/bin/bpython
kernel:         3.3.5-2.fc16.x86_64
reason:         importcompletion.py:133:find_modules:IOError: [Errno 21] Is a directory: './rain.py'
time:           Mon 21 May 2012 02:36:06 PM EDT
uid:            628000010
username:       josh.chia

backtrace:
:importcompletion.py:133:find_modules:IOError: [Errno 21] Is a directory: './rain.py'
:
:Traceback (most recent call last):
:  File "/usr/bin/bpython", line 9, in <module>
:    load_entry_point('bpython==0.10.1', 'console_scripts', 'bpython')()
:  File "/usr/lib/python2.7/site-packages/bpython/cli.py", line 1755, in main
:    banner=banner)
:  File "/usr/lib/python2.7/site-packages/bpython/cli.py", line 1657, in curses_wrapper
:    return func(stdscr, *args, **kwargs)
:  File "/usr/lib/python2.7/site-packages/bpython/cli.py", line 1726, in main_curses
:    clirepl.repl()
:  File "/usr/lib/python2.7/site-packages/bpython/cli.py", line 1014, in repl
:    inp = self.get_line()
:  File "/usr/lib/python2.7/site-packages/bpython/cli.py", line 598, in get_line
:    key = self.get_key()
:  File "/usr/lib/python2.7/site-packages/bpython/cli.py", line 576, in get_key
:    self.idle(self)
:  File "/usr/lib/python2.7/site-packages/bpython/cli.py", line 1591, in idle
:    if importcompletion.find_coroutine() or caller.paste_mode:
:  File "/usr/lib/python2.7/site-packages/bpython/importcompletion.py", line 179, in find_coroutine
:    find_iterator.next()
:  File "/usr/lib/python2.7/site-packages/bpython/importcompletion.py", line 161, in find_all_modules
:    for module in find_modules(p):
:  File "/usr/lib/python2.7/site-packages/bpython/importcompletion.py", line 133, in find_modules
:    fo, pathname, _ = imp.find_module(name, [path])
:IOError: [Errno 21] Is a directory: './rain.py'
:
:Local variables in innermost frame:
:path: '.'
:name: 'rain'
:filenames: ['.grl-bookmarks', '.julia_history', 'bs', '.gstreamer-0.10', 'rain', '.xine', '.mysql', 'Music', 'git', '.gnash', '.matplotlib', '.emacs', 'twx', '.gconfd', 'tmp', '.macromedia', '.gtk-bookmarks', '.ghc', '.nv', '.gnome2_private', '.bash_profile', '.dbus', '.pulse-cookie', '.esd_auth', '.rvmrc', 'Videos', '.lftp', '.emacs.d', '.pgadmin3', '.s3cfg', '.scss-history', '.gnuplot-wxt', 'rpmbuild', 'oprofile', 'ec2', 'eclipse', '.mathomatic_history', '.vnc', 'rain.py', '.lyx', 'python26', '.dropbox-dist', '.nx', '.ICEauthority', '.repoconfig', '.texlive2007', '.shotwell', '.bashrc', '.dropbox', 'Templates', '.pgpass', '.post-review-cookies.txt', '.gitk', 'rockmongo', '.passwd-s3fs', 'script.sh', '.idlerc', '.emacs~', '.mozilla', 'rainbow2text.py', '.nvidia-settings-rc', '.gconf', 'iam', '.pythonrc', 'bin', '.irb-history', '.grl-podcasts', '.local', '.rcmd_impl_history', '.qt', '.recentf', '.libreoffice', 'tbin', '.git-completion.bash', '.tmux.conf', '.java', '.pulse', '.gnome2', '.dbshell', '.Xauthority', 'eclipse.old', '.xsession-errors', '.org.eclipse.epp.usagedata.recording.userId', '.repopickle_.gitconfig', '.gimp-2.6', '.octave_hist', '.cache', '.subversion', '.gnupg', 'clangoverrides.txt', '.viminfo', '.pythonhist', 'gh', '.pki', 'boost', '.fontconfig', '.wireshark', 'pgadmin.log', '.rvm', '.rnd', 'Documents', '.lesshst', 'www', 'logs', '.bash_history', '.cpan', '.ssh', '.smex-items', 'vncr', 'bloomberg', '.gvfs', '.swt', '.Skype', '.htoprc', '.gitconfig', '.lastpass', '.purple', 'thesys-wishlist.txt~', '.setroubleshoot', '.VirtualBox', 'julia', 'tbin.tgz', 'shade', '.xchat2', '.thunderbird', 'Dropbox', '.rpmmacros', 'Pictures', '.psql_history', '.pylint.d', '.config', '.gnuplot_history', 'Downloads', '.imsettings.log', 'seqno', '.pkglist', '.ido.last', 'twxhf', 'VirtualBox VMs', '.htcfg2', 'quickfix', '.thumbnails', 'a.out', '.abrt', 'packages', '.bash_logout', 'qr', '.grl-metadata-store', 'workspace', 'Twitter.pdf', '.kde', 'bb', '.gdbinit', '.ncftp', '.emacs.elc', '.mission-control', '.adobe', '.mysql_history', 'Desktop', '.gem', 'server', '.gdb_history', '.virt-manager', 'cron', '.codeintel', 'twx-vm', 'parity']
Comment 1 Terje Røsten 2012-09-03 14:29:30 EDT
Thanks for your report. Problem verified.
Comment 2 Fedora End Of Life 2013-01-16 19:30:40 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Terje Røsten 2013-01-31 14:17:11 EST
Still issue in bpython 0.12.

For ref: to reproduce do:

a) mkdir rain.py
b) bpython
c) in bpython: type "import rain"
d) quit (rain.pyc is now created)
e) bpython
c) press "anything"
Comment 4 Fedora Update System 2013-03-06 15:01:18 EST
bpython-0.12-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/bpython-0.12-2.fc18
Comment 5 Fedora Update System 2013-03-06 15:01:33 EST
bpython-0.12-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/bpython-0.12-2.fc17
Comment 6 Fedora Update System 2013-03-07 18:57:46 EST
Package bpython-0.12-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing bpython-0.12-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-3518/bpython-0.12-2.fc17
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-03-15 21:24:59 EDT
bpython-0.12-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-03-15 21:42:48 EDT
bpython-0.12-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.